SSL_GET_SERVER_TMP_KEY(3)

NAME
SSL_get_server_tmp_key - get information about the server's temporary key used during a handshake

SYNOPSIS
 #include <openssl/ssl.h>

 long SSL_get_server_tmp_key(SSL *ssl, EVP_PKEY **key);

DESCRIPTION
SSL_get_server_tmp_key() returns the temporary key provided by the server and used during key exchange. For example, if ECDHE is in use, then this represents the server's public ECDHE key. On success a pointer to the key is stored in *key. It is the caller's responsibility to free this key after use using EVP_PKEY_free(3). This function may only be called by the client.

RETURN VALUES
SSL_get_server_tmp_key() returns 1 on success or 0 otherwise.

NOTES
This function is implemented as a macro.

SEE ALSO
ssl(7), EVP_PKEY_free(3)

COPYRIGHT
Copyright 2017 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the OpenSSL license (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at <https://www.openssl.org/source/license.html>.